Skip to main content
POST
/
api2
/
v4
/
projects
/
{projectUid}
/
jobs
/
qualityAssurances
/
segments
/
run
Run quality assurance on selected segments
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v4/projects/{projectUid}/jobs/qualityAssurances/segments/run \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobsAndSegments": [
    {
      "job": {
        "uid": "<string>"
      },
      "segments": [
        "<string>"
      ]
    }
  ],
  "maxQaWarningsCount": 500,
  "warningTypes": []
}
'
{
  "finished": true,
  "segmentWarnings": [
    {
      "ignoredChecks": [
        "<string>"
      ],
      "segmentId": "<string>",
      "warnings": [
        {
          "type": "<string>",
          "id": "<string>",
          "ignored": true,
          "repetitionGroupId": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

UID of the project

Body

application/json

Segments QA run configuration

jobsAndSegments
object[]
required

Jobs and their specific segment IDs to run QA on; 1–100 entries

Required array length: 1 - 100 elements
maxQaWarningsCount
integer<int32>

Maximum number of QA warnings in result, default: 100. For efficiency reasons QA warnings are processed with minimum segments chunk size 10, therefore slightly more warnings are returned.

Required range: 1 <= x <= 1000
warningTypes
enum<string>[]

When empty only fast checks run

Maximum array length: 100
Available options:
EmptyTranslation,
TrailingPunctuation,
Formatting,
JoinTags,
MissingNumbersV3,
MultipleSpacesV3,
NonConformingTerm,
NotConfirmed,
TranslationLength,
AbsoluteLength,
RelativeLength,
UnresolvedComment,
EmptyPairTags,
InconsistentTranslationTargetSource,
InconsistentTranslationSourceTarget,
ForbiddenString,
SpellCheck,
RepeatedWord,
InconsistentTagContent,
EmptyTagContent,
Malformed,
ForbiddenTerm,
NewerAtLowerLevel,
LeadingAndTrailingSpaces,
LeadingSpaces,
TrailingSpaces,
TargetSourceIdentical,
SourceOrTargetRegexp,
UnmodifiedFuzzyTranslation,
UnmodifiedFuzzyTranslationTM,
UnmodifiedFuzzyTranslationMTNT,
Moravia,
ExtraNumbersV3,
UnresolvedConversation,
NestedTags,
FuzzyInconsistencyTargetSource,
FuzzyInconsistencySourceTarget,
CustomQA,
MissingNonTranslatableAnnotation

Response

OK

finished
boolean

True if all QA checks completed; false if truncated by maxQaWarningsCount

segmentWarnings
object[]

Warnings grouped by segment; only segments with warnings are included